org.apache.maven.shared.repository.model

## Class DefaultRepositoryInfo

- java.lang.Object
- - org.apache.maven.shared.repository.model.DefaultRepositoryInfo

All Implemented Interfaces:
  RepositoryInfo

    public class DefaultRepositoryInfo
    extends Object
    implements RepositoryInfo

### Constructor Summary

Constructors
Constructor and Description
`DefaultRepositoryInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List` `getExcludes()`
`List` `getGroupVersionAlignments()`
`List` `getIncludes()`
`String` `getScope()`
`boolean` `isIncludeMetadata()`
`void` `setExcludes(List excludes)`
`void` `setGroupVersionAlignments(List groupVersionAlignments)`
`void` `setIncludeMetadata(boolean includeMetadata)`
`void` `setIncludes(List includes)`
`void` `setScope(String scope)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultRepositoryInfo

    public DefaultRepositoryInfo()

### Method Detail

#### getExcludes

    public List getExcludes()

Specified by:
  `getExcludes` in interface `RepositoryInfo`

#### setGroupVersionAlignments

    public void setGroupVersionAlignments(List groupVersionAlignments)

#### setIncludeMetadata

    public void setIncludeMetadata(boolean includeMetadata)

#### setIncludes

    public void setIncludes(List includes)

#### setScope

    public void setScope(String scope)

#### getGroupVersionAlignments

    public List getGroupVersionAlignments()

Specified by:
  `getGroupVersionAlignments` in interface `RepositoryInfo`

#### getIncludes

    public List getIncludes()

Specified by:
  `getIncludes` in interface `RepositoryInfo`

#### getScope

    public String getScope()

Specified by:
  `getScope` in interface `RepositoryInfo`

#### isIncludeMetadata

    public boolean isIncludeMetadata()

Specified by:
  `isIncludeMetadata` in interface `RepositoryInfo`

#### setExcludes

    public void setExcludes(List excludes)